/* gltable.c produced from GL/gl.h - do not edit */
/* ************************************************** *
 *                                                    *
 *  Table initialization for GLX protocol             *
 *                                                    *
 *      David A. Cahlander.  93/12/07.                *
 *      (c) Copyright Cray Research, Inc.  1993.      *
 *                                                    *
 * ************************************************** */

#include "scope.h"
#include "x11.h"
extern TYPE DefineType();

/*
  To initialize for GLX protocol, data structures need to be created
  describing the data types used by GLX in addition to the X11 structures.
*/

InitializeGLX()
{
  GLXInitBuiltInTypes();
  GLXInitEnumeratedTypes();
  GLXInitSetTypes();
/*
  GLXInitValuesTypes();
  GLXInitRecordTypes();
*/
}


/* ************************************************************ */

GLXInitBuiltInTypes()
{
  (void) DefineType(FLOAT32, BUILTIN, "FLOAT32", PrintFLOAT32);
  (void) DefineType(FLOAT64, BUILTIN, "FLOAT64", PrintFLOAT64);
}


GLXInitEnumeratedTypes()
{
  TYPE p;

  p = DefineType(GLENUM, ENUMERATED, "GLenum", PrintENUMERATED);
  DefineEValue(p, 0x0100, "GL_ACCUM");
  DefineEValue(p, 0x0101, "GL_LOAD");
  DefineEValue(p, 0x0102, "GL_RETURN");
  DefineEValue(p, 0x0103, "GL_MULT");
  DefineEValue(p, 0x0104, "GL_ADD");
  DefineEValue(p, 0x0200, "GL_NEVER");
  DefineEValue(p, 0x0201, "GL_LESS");
  DefineEValue(p, 0x0202, "GL_EQUAL");
  DefineEValue(p, 0x0203, "GL_LEQUAL");
  DefineEValue(p, 0x0204, "GL_GREATER");
  DefineEValue(p, 0x0205, "GL_NOTEQUAL");
  DefineEValue(p, 0x0206, "GL_GEQUAL");
  DefineEValue(p, 0x0207, "GL_ALWAYS");
  DefineEValue(p, 0, "GL_ZERO");
  DefineEValue(p, 1, "GL_ONE");
  DefineEValue(p, 0x0300, "GL_SRC_COLOR");
  DefineEValue(p, 0x0301, "GL_ONE_MINUS_SRC_COLOR");
  DefineEValue(p, 0x0302, "GL_SRC_ALPHA");
  DefineEValue(p, 0x0303, "GL_ONE_MINUS_SRC_ALPHA");
  DefineEValue(p, 0x0304, "GL_DST_ALPHA");
  DefineEValue(p, 0x0305, "GL_ONE_MINUS_DST_ALPHA");
  DefineEValue(p, 0x0306, "GL_DST_COLOR");
  DefineEValue(p, 0x0307, "GL_ONE_MINUS_DST_COLOR");
  DefineEValue(p, 0x0308, "GL_SRC_ALPHA_SATURATE");
  DefineEValue(p, 0x3000, "GL_CLIP_PLANE0");
  DefineEValue(p, 0x3001, "GL_CLIP_PLANE1");
  DefineEValue(p, 0x3002, "GL_CLIP_PLANE2");
  DefineEValue(p, 0x3003, "GL_CLIP_PLANE3");
  DefineEValue(p, 0x3004, "GL_CLIP_PLANE4");
  DefineEValue(p, 0x3005, "GL_CLIP_PLANE5");
  DefineEValue(p, 0x0400, "GL_FRONT_LEFT");
  DefineEValue(p, 0x0401, "GL_FRONT_RIGHT");
  DefineEValue(p, 0x0402, "GL_BACK_LEFT");
  DefineEValue(p, 0x0403, "GL_BACK_RIGHT");
  DefineEValue(p, 0x0404, "GL_FRONT");
  DefineEValue(p, 0x0405, "GL_BACK");
  DefineEValue(p, 0x0406, "GL_LEFT");
  DefineEValue(p, 0x0407, "GL_RIGHT");
  DefineEValue(p, 0x0408, "GL_FRONT_AND_BACK");
  DefineEValue(p, 0x0409, "GL_AUX0");
  DefineEValue(p, 0x040A, "GL_AUX1");
  DefineEValue(p, 0x040B, "GL_AUX2");
  DefineEValue(p, 0x040C, "GL_AUX3");
  DefineEValue(p, 0x0600, "GL_2D");
  DefineEValue(p, 0x0601, "GL_3D");
  DefineEValue(p, 0x0602, "GL_3D_COLOR");
  DefineEValue(p, 0x0603, "GL_3D_COLOR_TEXTURE");
  DefineEValue(p, 0x0604, "GL_4D_COLOR_TEXTURE");
  DefineEValue(p, 0x0700, "GL_PASS_THROUGH_TOKEN");
  DefineEValue(p, 0x0701, "GL_POINT_TOKEN");
  DefineEValue(p, 0x0702, "GL_LINE_TOKEN");
  DefineEValue(p, 0x0703, "GL_POLYGON_TOKEN");
  DefineEValue(p, 0x0704, "GL_BITMAP_TOKEN");
  DefineEValue(p, 0x0705, "GL_DRAW_PIXEL_TOKEN");
  DefineEValue(p, 0x0706, "GL_COPY_PIXEL_TOKEN");
  DefineEValue(p, 0x0707, "GL_LINE_RESET_TOKEN");
  DefineEValue(p, 0x0800, "GL_EXP");
  DefineEValue(p, 0x0801, "GL_EXP2");
  DefineEValue(p, 0x0900, "GL_CW");
  DefineEValue(p, 0x0901, "GL_CCW");
  DefineEValue(p, 0x0A00, "GL_COEFF");
  DefineEValue(p, 0x0A01, "GL_ORDER");
  DefineEValue(p, 0x0A02, "GL_DOMAIN");
  DefineEValue(p, 0x0B00, "GL_CURRENT_COLOR");
  DefineEValue(p, 0x0B01, "GL_CURRENT_INDEX");
  DefineEValue(p, 0x0B02, "GL_CURRENT_NORMAL");
  DefineEValue(p, 0x0B03, "GL_CURRENT_TEXTURE_COORDS");
  DefineEValue(p, 0x0B04, "GL_CURRENT_RASTER_COLOR");
  DefineEValue(p, 0x0B05, "GL_CURRENT_RASTER_INDEX");
  DefineEValue(p, 0x0B06, "GL_CURRENT_RASTER_TEXTURE_COORDS");
  DefineEValue(p, 0x0B07, "GL_CURRENT_RASTER_POSITION");
  DefineEValue(p, 0x0B08, "GL_CURRENT_RASTER_POSITION_VALID");
  DefineEValue(p, 0x0B09, "GL_CURRENT_RASTER_DISTANCE");
  DefineEValue(p, 0x0B10, "GL_POINT_SMOOTH");
  DefineEValue(p, 0x0B11, "GL_POINT_SIZE");
  DefineEValue(p, 0x0B12, "GL_POINT_SIZE_RANGE");
  DefineEValue(p, 0x0B13, "GL_POINT_SIZE_GRANULARITY");
  DefineEValue(p, 0x0B20, "GL_LINE_SMOOTH");
  DefineEValue(p, 0x0B21, "GL_LINE_WIDTH");
  DefineEValue(p, 0x0B22, "GL_LINE_WIDTH_RANGE");
  DefineEValue(p, 0x0B23, "GL_LINE_WIDTH_GRANULARITY");
  DefineEValue(p, 0x0B24, "GL_LINE_STIPPLE");
  DefineEValue(p, 0x0B25, "GL_LINE_STIPPLE_PATTERN");
  DefineEValue(p, 0x0B26, "GL_LINE_STIPPLE_REPEAT");
  DefineEValue(p, 0x0B30, "GL_LIST_MODE");
  DefineEValue(p, 0x0B31, "GL_MAX_LIST_NESTING");
  DefineEValue(p, 0x0B32, "GL_LIST_BASE");
  DefineEValue(p, 0x0B33, "GL_LIST_INDEX");
  DefineEValue(p, 0x0B40, "GL_POLYGON_MODE");
  DefineEValue(p, 0x0B41, "GL_POLYGON_SMOOTH");
  DefineEValue(p, 0x0B42, "GL_POLYGON_STIPPLE");
  DefineEValue(p, 0x0B43, "GL_EDGE_FLAG");
  DefineEValue(p, 0x0B44, "GL_CULL_FACE");
  DefineEValue(p, 0x0B45, "GL_CULL_FACE_MODE");
  DefineEValue(p, 0x0B46, "GL_FRONT_FACE");
  DefineEValue(p, 0x0B50, "GL_LIGHTING");
  DefineEValue(p, 0x0B51, "GL_LIGHT_MODEL_LOCAL_VIEWER");
  DefineEValue(p, 0x0B52, "GL_LIGHT_MODEL_TWO_SIDE");
  DefineEValue(p, 0x0B53, "GL_LIGHT_MODEL_AMBIENT");
  DefineEValue(p, 0x0B54, "GL_SHADE_MODEL");
  DefineEValue(p, 0x0B55, "GL_COLOR_MATERIAL_FACE");
  DefineEValue(p, 0x0B56, "GL_COLOR_MATERIAL_PARAMETER");
  DefineEValue(p, 0x0B57, "GL_COLOR_MATERIAL");
  DefineEValue(p, 0x0B60, "GL_FOG");
  DefineEValue(p, 0x0B61, "GL_FOG_INDEX");
  DefineEValue(p, 0x0B62, "GL_FOG_DENSITY");
  DefineEValue(p, 0x0B63, "GL_FOG_START");
  DefineEValue(p, 0x0B64, "GL_FOG_END");
  DefineEValue(p, 0x0B65, "GL_FOG_MODE");
  DefineEValue(p, 0x0B66, "GL_FOG_COLOR");
  DefineEValue(p, 0x0B70, "GL_DEPTH_RANGE");
  DefineEValue(p, 0x0B71, "GL_DEPTH_TEST");
  DefineEValue(p, 0x0B72, "GL_DEPTH_WRITEMASK");
  DefineEValue(p, 0x0B73, "GL_DEPTH_CLEAR_VALUE");
  DefineEValue(p, 0x0B74, "GL_DEPTH_FUNC");
  DefineEValue(p, 0x0B80, "GL_ACCUM_CLEAR_VALUE");
  DefineEValue(p, 0x0B90, "GL_STENCIL_TEST");
  DefineEValue(p, 0x0B91, "GL_STENCIL_CLEAR_VALUE");
  DefineEValue(p, 0x0B92, "GL_STENCIL_FUNC");
  DefineEValue(p, 0x0B93, "GL_STENCIL_VALUE_MASK");
  DefineEValue(p, 0x0B94, "GL_STENCIL_FAIL");
  DefineEValue(p, 0x0B95, "GL_STENCIL_PASS_DEPTH_FAIL");
  DefineEValue(p, 0x0B96, "GL_STENCIL_PASS_DEPTH_PASS");
  DefineEValue(p, 0x0B97, "GL_STENCIL_REF");
  DefineEValue(p, 0x0B98, "GL_STENCIL_WRITEMASK");
  DefineEValue(p, 0x0BA0, "GL_MATRIX_MODE");
  DefineEValue(p, 0x0BA1, "GL_NORMALIZE");
  DefineEValue(p, 0x0BA2, "GL_VIEWPORT");
  DefineEValue(p, 0x0BA3, "GL_MODELVIEW_STACK_DEPTH");
  DefineEValue(p, 0x0BA4, "GL_PROJECTION_STACK_DEPTH");
  DefineEValue(p, 0x0BA5, "GL_TEXTURE_STACK_DEPTH");
  DefineEValue(p, 0x0BA6, "GL_MODELVIEW_MATRIX");
  DefineEValue(p, 0x0BA7, "GL_PROJECTION_MATRIX");
  DefineEValue(p, 0x0BA8, "GL_TEXTURE_MATRIX");
  DefineEValue(p, 0x0BB0, "GL_ATTRIB_STACK_DEPTH");
  DefineEValue(p, 0x0BC0, "GL_ALPHA_TEST");
  DefineEValue(p, 0x0BC1, "GL_ALPHA_TEST_FUNC");
  DefineEValue(p, 0x0BC2, "GL_ALPHA_TEST_REF");
  DefineEValue(p, 0x0BD0, "GL_DITHER");
  DefineEValue(p, 0x0BE0, "GL_BLEND_DST");
  DefineEValue(p, 0x0BE1, "GL_BLEND_SRC");
  DefineEValue(p, 0x0BE2, "GL_BLEND");
  DefineEValue(p, 0x0BF0, "GL_LOGIC_OP_MODE");
  DefineEValue(p, 0x0BF1, "GL_LOGIC_OP");
  DefineEValue(p, 0x0C00, "GL_AUX_BUFFERS");
  DefineEValue(p, 0x0C01, "GL_DRAW_BUFFER");
  DefineEValue(p, 0x0C02, "GL_READ_BUFFER");
  DefineEValue(p, 0x0C10, "GL_SCISSOR_BOX");
  DefineEValue(p, 0x0C11, "GL_SCISSOR_TEST");
  DefineEValue(p, 0x0C20, "GL_INDEX_CLEAR_VALUE");
  DefineEValue(p, 0x0C21, "GL_INDEX_WRITEMASK");
  DefineEValue(p, 0x0C22, "GL_COLOR_CLEAR_VALUE");
  DefineEValue(p, 0x0C23, "GL_COLOR_WRITEMASK");
  DefineEValue(p, 0x0C30, "GL_INDEX_MODE");
  DefineEValue(p, 0x0C31, "GL_RGBA_MODE");
  DefineEValue(p, 0x0C32, "GL_DOUBLEBUFFER");
  DefineEValue(p, 0x0C33, "GL_STEREO");
  DefineEValue(p, 0x0C40, "GL_RENDER_MODE");
  DefineEValue(p, 0x0C50, "GL_PERSPECTIVE_CORRECTION_HINT");
  DefineEValue(p, 0x0C51, "GL_POINT_SMOOTH_HINT");
  DefineEValue(p, 0x0C52, "GL_LINE_SMOOTH_HINT");
  DefineEValue(p, 0x0C53, "GL_POLYGON_SMOOTH_HINT");
  DefineEValue(p, 0x0C54, "GL_FOG_HINT");
  DefineEValue(p, 0x0C60, "GL_TEXTURE_GEN_S");
  DefineEValue(p, 0x0C61, "GL_TEXTURE_GEN_T");
  DefineEValue(p, 0x0C62, "GL_TEXTURE_GEN_R");
  DefineEValue(p, 0x0C63, "GL_TEXTURE_GEN_Q");
  DefineEValue(p, 0x0C70, "GL_PIXEL_MAP_I_TO_I");
  DefineEValue(p, 0x0C71, "GL_PIXEL_MAP_S_TO_S");
  DefineEValue(p, 0x0C72, "GL_PIXEL_MAP_I_TO_R");
  DefineEValue(p, 0x0C73, "GL_PIXEL_MAP_I_TO_G");
  DefineEValue(p, 0x0C74, "GL_PIXEL_MAP_I_TO_B");
  DefineEValue(p, 0x0C75, "GL_PIXEL_MAP_I_TO_A");
  DefineEValue(p, 0x0C76, "GL_PIXEL_MAP_R_TO_R");
  DefineEValue(p, 0x0C77, "GL_PIXEL_MAP_G_TO_G");
  DefineEValue(p, 0x0C78, "GL_PIXEL_MAP_B_TO_B");
  DefineEValue(p, 0x0C79, "GL_PIXEL_MAP_A_TO_A");
  DefineEValue(p, 0x0CB0, "GL_PIXEL_MAP_I_TO_I_SIZE");
  DefineEValue(p, 0x0CB1, "GL_PIXEL_MAP_S_TO_S_SIZE");
  DefineEValue(p, 0x0CB2, "GL_PIXEL_MAP_I_TO_R_SIZE");
  DefineEValue(p, 0x0CB3, "GL_PIXEL_MAP_I_TO_G_SIZE");
  DefineEValue(p, 0x0CB4, "GL_PIXEL_MAP_I_TO_B_SIZE");
  DefineEValue(p, 0x0CB5, "GL_PIXEL_MAP_I_TO_A_SIZE");
  DefineEValue(p, 0x0CB6, "GL_PIXEL_MAP_R_TO_R_SIZE");
  DefineEValue(p, 0x0CB7, "GL_PIXEL_MAP_G_TO_G_SIZE");
  DefineEValue(p, 0x0CB8, "GL_PIXEL_MAP_B_TO_B_SIZE");
  DefineEValue(p, 0x0CB9, "GL_PIXEL_MAP_A_TO_A_SIZE");
  DefineEValue(p, 0x0CF0, "GL_UNPACK_SWAP_BYTES");
  DefineEValue(p, 0x0CF1, "GL_UNPACK_LSB_FIRST");
  DefineEValue(p, 0x0CF2, "GL_UNPACK_ROW_LENGTH");
  DefineEValue(p, 0x0CF3, "GL_UNPACK_SKIP_ROWS");
  DefineEValue(p, 0x0CF4, "GL_UNPACK_SKIP_PIXELS");
  DefineEValue(p, 0x0CF5, "GL_UNPACK_ALIGNMENT");
  DefineEValue(p, 0x0D00, "GL_PACK_SWAP_BYTES");
  DefineEValue(p, 0x0D01, "GL_PACK_LSB_FIRST");
  DefineEValue(p, 0x0D02, "GL_PACK_ROW_LENGTH");
  DefineEValue(p, 0x0D03, "GL_PACK_SKIP_ROWS");
  DefineEValue(p, 0x0D04, "GL_PACK_SKIP_PIXELS");
  DefineEValue(p, 0x0D05, "GL_PACK_ALIGNMENT");
  DefineEValue(p, 0x0D10, "GL_MAP_COLOR");
  DefineEValue(p, 0x0D11, "GL_MAP_STENCIL");
  DefineEValue(p, 0x0D12, "GL_INDEX_SHIFT");
  DefineEValue(p, 0x0D13, "GL_INDEX_OFFSET");
  DefineEValue(p, 0x0D14, "GL_RED_SCALE");
  DefineEValue(p, 0x0D15, "GL_RED_BIAS");
  DefineEValue(p, 0x0D16, "GL_ZOOM_X");
  DefineEValue(p, 0x0D17, "GL_ZOOM_Y");
  DefineEValue(p, 0x0D18, "GL_GREEN_SCALE");
  DefineEValue(p, 0x0D19, "GL_GREEN_BIAS");
  DefineEValue(p, 0x0D1A, "GL_BLUE_SCALE");
  DefineEValue(p, 0x0D1B, "GL_BLUE_BIAS");
  DefineEValue(p, 0x0D1C, "GL_ALPHA_SCALE");
  DefineEValue(p, 0x0D1D, "GL_ALPHA_BIAS");
  DefineEValue(p, 0x0D1E, "GL_DEPTH_SCALE");
  DefineEValue(p, 0x0D1F, "GL_DEPTH_BIAS");
  DefineEValue(p, 0x0D30, "GL_MAX_EVAL_ORDER");
  DefineEValue(p, 0x0D31, "GL_MAX_LIGHTS");
  DefineEValue(p, 0x0D32, "GL_MAX_CLIP_PLANES");
  DefineEValue(p, 0x0D33, "GL_MAX_TEXTURE_SIZE");
  DefineEValue(p, 0x0D34, "GL_MAX_PIXEL_MAP_TABLE");
  DefineEValue(p, 0x0D35, "GL_MAX_ATTRIB_STACK_DEPTH");
  DefineEValue(p, 0x0D36, "GL_MAX_MODELVIEW_STACK_DEPTH");
  DefineEValue(p, 0x0D37, "GL_MAX_NAME_STACK_DEPTH");
  DefineEValue(p, 0x0D38, "GL_MAX_PROJECTION_STACK_DEPTH");
  DefineEValue(p, 0x0D39, "GL_MAX_TEXTURE_STACK_DEPTH");
  DefineEValue(p, 0x0D3A, "GL_MAX_VIEWPORT_DIMS");
  DefineEValue(p, 0x0D50, "GL_SUBPIXEL_BITS");
  DefineEValue(p, 0x0D51, "GL_INDEX_BITS");
  DefineEValue(p, 0x0D52, "GL_RED_BITS");
  DefineEValue(p, 0x0D53, "GL_GREEN_BITS");
  DefineEValue(p, 0x0D54, "GL_BLUE_BITS");
  DefineEValue(p, 0x0D55, "GL_ALPHA_BITS");
  DefineEValue(p, 0x0D56, "GL_DEPTH_BITS");
  DefineEValue(p, 0x0D57, "GL_STENCIL_BITS");
  DefineEValue(p, 0x0D58, "GL_ACCUM_RED_BITS");
  DefineEValue(p, 0x0D59, "GL_ACCUM_GREEN_BITS");
  DefineEValue(p, 0x0D5A, "GL_ACCUM_BLUE_BITS");
  DefineEValue(p, 0x0D5B, "GL_ACCUM_ALPHA_BITS");
  DefineEValue(p, 0x0D70, "GL_NAME_STACK_DEPTH");
  DefineEValue(p, 0x0D80, "GL_AUTO_NORMAL");
  DefineEValue(p, 0x0D90, "GL_MAP1_COLOR_4");
  DefineEValue(p, 0x0D91, "GL_MAP1_INDEX");
  DefineEValue(p, 0x0D92, "GL_MAP1_NORMAL");
  DefineEValue(p, 0x0D93, "GL_MAP1_TEXTURE_COORD_1");
  DefineEValue(p, 0x0D94, "GL_MAP1_TEXTURE_COORD_2");
  DefineEValue(p, 0x0D95, "GL_MAP1_TEXTURE_COORD_3");
  DefineEValue(p, 0x0D96, "GL_MAP1_TEXTURE_COORD_4");
  DefineEValue(p, 0x0D97, "GL_MAP1_VERTEX_3");
  DefineEValue(p, 0x0D98, "GL_MAP1_VERTEX_4");
  DefineEValue(p, 0x0DB0, "GL_MAP2_COLOR_4");
  DefineEValue(p, 0x0DB1, "GL_MAP2_INDEX");
  DefineEValue(p, 0x0DB2, "GL_MAP2_NORMAL");
  DefineEValue(p, 0x0DB3, "GL_MAP2_TEXTURE_COORD_1");
  DefineEValue(p, 0x0DB4, "GL_MAP2_TEXTURE_COORD_2");
  DefineEValue(p, 0x0DB5, "GL_MAP2_TEXTURE_COORD_3");
  DefineEValue(p, 0x0DB6, "GL_MAP2_TEXTURE_COORD_4");
  DefineEValue(p, 0x0DB7, "GL_MAP2_VERTEX_3");
  DefineEValue(p, 0x0DB8, "GL_MAP2_VERTEX_4");
  DefineEValue(p, 0x0DD0, "GL_MAP1_GRID_DOMAIN");
  DefineEValue(p, 0x0DD1, "GL_MAP1_GRID_SEGMENTS");
  DefineEValue(p, 0x0DD2, "GL_MAP2_GRID_DOMAIN");
  DefineEValue(p, 0x0DD3, "GL_MAP2_GRID_SEGMENTS");
  DefineEValue(p, 0x0DE0, "GL_TEXTURE_1D");
  DefineEValue(p, 0x0DE1, "GL_TEXTURE_2D");
  DefineEValue(p, 0x1000, "GL_TEXTURE_WIDTH");
  DefineEValue(p, 0x1001, "GL_TEXTURE_HEIGHT");
  DefineEValue(p, 0x1003, "GL_TEXTURE_COMPONENTS");
  DefineEValue(p, 0x1004, "GL_TEXTURE_BORDER_COLOR");
  DefineEValue(p, 0x1005, "GL_TEXTURE_BORDER");
  DefineEValue(p, 0x1100, "GL_DONT_CARE");
  DefineEValue(p, 0x1101, "GL_FASTEST");
  DefineEValue(p, 0x1102, "GL_NICEST");
  DefineEValue(p, 0x4000, "GL_LIGHT0");
  DefineEValue(p, 0x4001, "GL_LIGHT1");
  DefineEValue(p, 0x4002, "GL_LIGHT2");
  DefineEValue(p, 0x4003, "GL_LIGHT3");
  DefineEValue(p, 0x4004, "GL_LIGHT4");
  DefineEValue(p, 0x4005, "GL_LIGHT5");
  DefineEValue(p, 0x4006, "GL_LIGHT6");
  DefineEValue(p, 0x4007, "GL_LIGHT7");
  DefineEValue(p, 0x1200, "GL_AMBIENT");
  DefineEValue(p, 0x1201, "GL_DIFFUSE");
  DefineEValue(p, 0x1202, "GL_SPECULAR");
  DefineEValue(p, 0x1203, "GL_POSITION");
  DefineEValue(p, 0x1204, "GL_SPOT_DIRECTION");
  DefineEValue(p, 0x1205, "GL_SPOT_EXPONENT");
  DefineEValue(p, 0x1206, "GL_SPOT_CUTOFF");
  DefineEValue(p, 0x1207, "GL_CONSTANT_ATTENUATION");
  DefineEValue(p, 0x1208, "GL_LINEAR_ATTENUATION");
  DefineEValue(p, 0x1209, "GL_QUADRATIC_ATTENUATION");
  DefineEValue(p, 0x1300, "GL_COMPILE");
  DefineEValue(p, 0x1301, "GL_COMPILE_AND_EXECUTE");
  DefineEValue(p, 0x1400, "GL_BYTE");
  DefineEValue(p, 0x1401, "GL_UNSIGNED_BYTE");
  DefineEValue(p, 0x1402, "GL_SHORT");
  DefineEValue(p, 0x1403, "GL_UNSIGNED_SHORT");
  DefineEValue(p, 0x1404, "GL_INT");
  DefineEValue(p, 0x1405, "GL_UNSIGNED_INT");
  DefineEValue(p, 0x1406, "GL_FLOAT");
  DefineEValue(p, 0x1407, "GL_2_BYTES");
  DefineEValue(p, 0x1408, "GL_3_BYTES");
  DefineEValue(p, 0x1409, "GL_4_BYTES");
  DefineEValue(p, 0x1500, "GL_CLEAR");
  DefineEValue(p, 0x1501, "GL_AND");
  DefineEValue(p, 0x1502, "GL_AND_REVERSE");
  DefineEValue(p, 0x1503, "GL_COPY");
  DefineEValue(p, 0x1504, "GL_AND_INVERTED");
  DefineEValue(p, 0x1505, "GL_NOOP");
  DefineEValue(p, 0x1506, "GL_XOR");
  DefineEValue(p, 0x1507, "GL_OR");
  DefineEValue(p, 0x1508, "GL_NOR");
  DefineEValue(p, 0x1509, "GL_EQUIV");
  DefineEValue(p, 0x150A, "GL_INVERT");
  DefineEValue(p, 0x150B, "GL_OR_REVERSE");
  DefineEValue(p, 0x150C, "GL_COPY_INVERTED");
  DefineEValue(p, 0x150D, "GL_OR_INVERTED");
  DefineEValue(p, 0x150E, "GL_NAND");
  DefineEValue(p, 0x150F, "GL_SET");
  DefineEValue(p, 0x1600, "GL_EMISSION");
  DefineEValue(p, 0x1601, "GL_SHININESS");
  DefineEValue(p, 0x1602, "GL_AMBIENT_AND_DIFFUSE");
  DefineEValue(p, 0x1603, "GL_COLOR_INDEXES");
  DefineEValue(p, 0x1700, "GL_MODELVIEW");
  DefineEValue(p, 0x1701, "GL_PROJECTION");
  DefineEValue(p, 0x1702, "GL_TEXTURE");
  DefineEValue(p, 0x1800, "GL_COLOR");
  DefineEValue(p, 0x1801, "GL_DEPTH");
  DefineEValue(p, 0x1802, "GL_STENCIL");
  DefineEValue(p, 0x1900, "GL_COLOR_INDEX");
  DefineEValue(p, 0x1901, "GL_STENCIL_INDEX");
  DefineEValue(p, 0x1902, "GL_DEPTH_COMPONENT");
  DefineEValue(p, 0x1903, "GL_RED");
  DefineEValue(p, 0x1904, "GL_GREEN");
  DefineEValue(p, 0x1905, "GL_BLUE");
  DefineEValue(p, 0x1906, "GL_ALPHA");
  DefineEValue(p, 0x1907, "GL_RGB");
  DefineEValue(p, 0x1908, "GL_RGBA");
  DefineEValue(p, 0x1909, "GL_LUMINANCE");
  DefineEValue(p, 0x190A, "GL_LUMINANCE_ALPHA");
  DefineEValue(p, 0x1A00, "GL_BITMAP");
  DefineEValue(p, 0x1B00, "GL_POINT");
  DefineEValue(p, 0x1B01, "GL_LINE");
  DefineEValue(p, 0x1B02, "GL_FILL");
  DefineEValue(p, 0x1C00, "GL_RENDER");
  DefineEValue(p, 0x1C01, "GL_FEEDBACK");
  DefineEValue(p, 0x1C02, "GL_SELECT");
  DefineEValue(p, 0x1D00, "GL_FLAT");
  DefineEValue(p, 0x1D01, "GL_SMOOTH");
  DefineEValue(p, 0x1E00, "GL_KEEP");
  DefineEValue(p, 0x1E01, "GL_REPLACE");
  DefineEValue(p, 0x1E02, "GL_INCR");
  DefineEValue(p, 0x1E03, "GL_DECR");
  DefineEValue(p, 0x1F00, "GL_VENDOR");
  DefineEValue(p, 0x1F01, "GL_RENDERER");
  DefineEValue(p, 0x1F02, "GL_VERSION");
  DefineEValue(p, 0x1F03, "GL_EXTENSIONS");
  DefineEValue(p, 0x2000, "GL_S");
  DefineEValue(p, 0x2001, "GL_T");
  DefineEValue(p, 0x2002, "GL_R");
  DefineEValue(p, 0x2003, "GL_Q");
  DefineEValue(p, 0x2100, "GL_MODULATE");
  DefineEValue(p, 0x2101, "GL_DECAL");
  DefineEValue(p, 0x2200, "GL_TEXTURE_ENV_MODE");
  DefineEValue(p, 0x2201, "GL_TEXTURE_ENV_COLOR");
  DefineEValue(p, 0x2300, "GL_TEXTURE_ENV");
  DefineEValue(p, 0x2400, "GL_EYE_LINEAR");
  DefineEValue(p, 0x2401, "GL_OBJECT_LINEAR");
  DefineEValue(p, 0x2402, "GL_SPHERE_MAP");
  DefineEValue(p, 0x2500, "GL_TEXTURE_GEN_MODE");
  DefineEValue(p, 0x2501, "GL_OBJECT_PLANE");
  DefineEValue(p, 0x2502, "GL_EYE_PLANE");
  DefineEValue(p, 0x2600, "GL_NEAREST");
  DefineEValue(p, 0x2601, "GL_LINEAR");
  DefineEValue(p, 0x2700, "GL_NEAREST_MIPMAP_NEAREST");
  DefineEValue(p, 0x2701, "GL_LINEAR_MIPMAP_NEAREST");
  DefineEValue(p, 0x2702, "GL_NEAREST_MIPMAP_LINEAR");
  DefineEValue(p, 0x2703, "GL_LINEAR_MIPMAP_LINEAR");
  DefineEValue(p, 0x2800, "GL_TEXTURE_MAG_FILTER");
  DefineEValue(p, 0x2801, "GL_TEXTURE_MIN_FILTER");
  DefineEValue(p, 0x2802, "GL_TEXTURE_WRAP_S");
  DefineEValue(p, 0x2803, "GL_TEXTURE_WRAP_T");
  DefineEValue(p, 0x2900, "GL_CLAMP");
  DefineEValue(p, 0x2901, "GL_REPEAT");

  p = DefineType(glBeginMode, ENUMERATED, "glBeginMode", PrintENUMERATED);
  DefineEValue(p, 0x0000, "GL_POINTS");
  DefineEValue(p, 0x0001, "GL_LINES");
  DefineEValue(p, 0x0002, "GL_LINE_LOOP");
  DefineEValue(p, 0x0003, "GL_LINE_STRIP");
  DefineEValue(p, 0x0004, "GL_TRIANGLES");
  DefineEValue(p, 0x0005, "GL_TRIANGLE_STRIP");
  DefineEValue(p, 0x0006, "GL_TRIANGLE_FAN");
  DefineEValue(p, 0x0007, "GL_QUADS");
  DefineEValue(p, 0x0008, "GL_QUAD_STRIP");
  DefineEValue(p, 0x0009, "GL_POLYGON");

  p = DefineType(glErrorCode, ENUMERATED, "glErrorCode", PrintENUMERATED);
  DefineEValue(p, 0, "GL_NO_ERROR");
  DefineEValue(p, 0x0500, "GL_INVALID_ENUM");
  DefineEValue(p, 0x0501, "GL_INVALID_VALUE");
  DefineEValue(p, 0x0502, "GL_INVALID_OPERATION");
  DefineEValue(p, 0x0503, "GL_STACK_OVERFLOW");
  DefineEValue(p, 0x0504, "GL_STACK_UNDERFLOW");
  DefineEValue(p, 0x0505, "GL_OUT_OF_MEMORY");
}


GLXInitSetTypes()
{
  TYPE p;

  p = DefineType(BITFIELD, SET, "BITFIELD", PrintSET);
  DefineEValue(p, 0x00000001, "GL_CURRENT_BIT");
  DefineEValue(p, 0x00000002, "GL_POINT_BIT");
  DefineEValue(p, 0x00000004, "GL_LINE_BIT");
  DefineEValue(p, 0x00000008, "GL_POLYGON_BIT");
  DefineEValue(p, 0x00000010, "GL_POLYGON_STIPPLE_BIT");
  DefineEValue(p, 0x00000020, "GL_PIXEL_MODE_BIT");
  DefineEValue(p, 0x00000040, "GL_LIGHTING_BIT");
  DefineEValue(p, 0x00000080, "GL_FOG_BIT");
  DefineEValue(p, 0x00000100, "GL_DEPTH_BUFFER_BIT");
  DefineEValue(p, 0x00000200, "GL_ACCUM_BUFFER_BIT");
  DefineEValue(p, 0x00000400, "GL_STENCIL_BUFFER_BIT");
  DefineEValue(p, 0x00000800, "GL_VIEWPORT_BIT");
  DefineEValue(p, 0x00001000, "GL_TRANSFORM_BIT");
  DefineEValue(p, 0x00002000, "GL_ENABLE_BIT");
  DefineEValue(p, 0x00004000, "GL_COLOR_BUFFER_BIT");
  DefineEValue(p, 0x00008000, "GL_HINT_BIT");
  DefineEValue(p, 0x00010000, "GL_EVAL_BIT");
  DefineEValue(p, 0x00020000, "GL_LIST_BIT");
  DefineEValue(p, 0x00040000, "GL_TEXTURE_BIT");
  DefineEValue(p, 0x00080000, "GL_SCISSOR_BIT");
}
